Search documentation of wx

# View Source wxTextEntryDialog (wx v2.4.3)

This class represents a dialog that requests a one-line text string from the user.

It is implemented as a generic wxWidgets dialog.

See: Overview cmndlg

This class is derived, and can use functions, from:

- `wxDialog`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxTextEntryDialog

# Summary

## Types

wxTextEntryDialog()

## Functions

destroy(This)

Destroys the object

getValue(This)

Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.

new()

Default constructor.

new(Parent, Message)

Equivalent to `new(Parent, Message, [])`.

new/3

Constructor.

setValue(This, Value)

Sets the default text value.

# Types

Link to this type

# wxTextEntryDialog()

View Source

    -type wxTextEntryDialog() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxTextEntryDialog()) -> ok.

Destroys the object

Link to this function

# getValue(This)

View Source

    -spec getValue(This) -> unicode:charlist() when This :: wxTextEntryDialog().

Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.

Link to this function

# new()

View Source

    -spec new() -> wxTextEntryDialog().

Default constructor.

Call `Create()` (not implemented in wx) to really create the dialog later.

Since: 2.9.5

Link to this function

# new(Parent, Message)

View Source

    -spec new(Parent, Message) -> wxTextEntryDialog()
                 when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata().

Equivalent to `new(Parent, Message, [])`.

Link to this function

# new/3

View Source

    -spec new(Parent, Message, [Option]) -> wxTextEntryDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Option ::
                         {caption, unicode:chardata()} |
                         {value, unicode:chardata()} |
                         {style, integer()} |
                         {pos, {X :: integer(), Y :: integer()}}.

Constructor.

Use `wxDialog:showModal/1` to show the dialog.

See `Create()` (not implemented in wx) method for parameter description.

Link to this function

# setValue(This, Value)

View Source

    -spec setValue(This, Value) -> ok when This :: wxTextEntryDialog(), Value :: unicode:chardata().

Sets the default text value.